Bug 1108407 - managed entry plugin fails to update managed entry pointer on modrdn operation
Summary: managed entry plugin fails to update managed entry pointer on modrdn operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1106917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 00:46 UTC by Noriko Hosoi
Modified: 2015-03-05 09:34 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Performing a modrdn on a managed entry Consequence: The managed entry link does not get properly updated Fix: Several modifications were grouped into a single modification operation. The first modification in this group added an objectclasses that is usually already present in the entry. This caused the entire modify operation to fail, which broke the managed entry relationship. Result: After performing a modrdn operation, the managed entry link is still intact.
Clone Of: 1106917
Environment:
Last Closed: 2015-03-05 09:34:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-06-12 00:46:58 UTC
+++ This bug was initially created as a clone of Bug #1106917 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47813

While working on ticket 47810 (which returns the proper error codes for betxn plugins), it was discovered that a modrdn operation never actually updated the managed entry attributes, because it would first try and add the managed entry objectclass which already existed in the entry - this caused the the remaining modify ops to be ignored.

--- Additional comment from Noriko Hosoi on 2014-06-09 14:22:59 EDT ---

Hi Mark,

Please add the reproducer (or the TET test case #) and the Doc text to this bug.

Thanks!
--noriko

--- Additional comment from  on 2014-06-10 10:04:01 EDT ---

This can be verified in tet by running the managedEntry testsuite - test mentry22()

--- Additional comment from  on 2014-06-10 10:48:41 EDT ---

Fixed upstream

Comment 2 Jenny Severance 2014-10-21 20:01:45 UTC
FOR VERIFICATION:

This can be verified in tet by running the managedEntry testsuite - test mentry22()

From RHEL 6.6 bug verification:

<snip>


389-ds-base-libs-1.2.11.15-38.el6.x86_64
389-ds-base-1.2.11.15-38.el6.x86_64

520|0 29 19263 1 2|----------------- Starting Test MENTRY_22 -------------------------
520|0 29 19263 1 3|---Deleting mepManagedBy attribute and running ModRDN operation to check if it creates a new UPG, Expected Result=---
520|0 29 19263 1 4|Successfully completed Delete mepManagedBy attribute from UPG
520|0 29 19263 1 5|Successfully completed Change the RDN of user uid=User_MENTRY_22
520|0 29 19263 1 6|Test result for MENTRY_22, Deleting mepManagedBy attribute and running ModRDN operation to check if it creates a new UPG, Actual_Result=1, Expected_Result=1
520|0 29 19263 1 7|TestCase [mentry22] result-> [PASS]
520|0 29 19263 1 8|Test result for MENTRY_22, Deleting mepManagedBy attribute and running ModRDN operation to check if it creates a new UPG, Actual_Result=0, Expected_Result=0
520|0 29 19263 1 9|TestCase [mentry22] result-> [PASS]
520|0 29 19263 1 10|Running cleanup test for MENTRY_22, removing the user uid=User_MENTRY_22
520|0 29 19263 1 11|Deleting the user uid=User_MENTRY_22 from dc=mentry,dc=com
520|0 29 19263 1 12|------------------Test MENTRY_22 Completed-------------------------

Testcase mentry22() in TET passes, hence marking as VERIFIED.
</snip>

Comment 3 Viktor Ashirov 2014-12-01 17:29:33 UTC
$ rpm -qa  | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

I ran managedEntry testsuite in TET. Here's the output of mentry22 testcase:  

520|0 29 16529 1 2|----------------- Starting Test MENTRY_22 -------------------------
520|0 29 16529 1 3|---Deleting mepManagedBy attribute and running ModRDN operation to check if it creates a new UPG, Expected Result=---
520|0 29 16529 1 4|Successfully completed Delete mepManagedBy attribute from UPG
520|0 29 16529 1 5|Successfully completed Change the RDN of user uid=User_MENTRY_22
520|0 29 16529 1 6|Test result for MENTRY_22, Deleting mepManagedBy attribute and running ModRDN operation to check if it creates a new UPG, Actual_Result=1, Expected_Result=1
520|0 29 16529 1 7|TestCase [mentry22] result-> [PASS]
520|0 29 16529 1 8|Test result for MENTRY_22, Deleting mepManagedBy attribute and running ModRDN operation to check if it creates a new UPG, Actual_Result=0, Expected_Result=0
520|0 29 16529 1 9|TestCase [mentry22] result-> [PASS]
520|0 29 16529 1 10|Running cleanup test for MENTRY_22, removing the user uid=User_MENTRY_22
520|0 29 16529 1 11|Deleting the user uid=User_MENTRY_22 from dc=mentry,dc=com
520|0 29 16529 1 12|------------------Test MENTRY_22 Completed-------------------------

Testcase passes, hence marking as VERIFIED.

Comment 5 errata-xmlrpc 2015-03-05 09:34:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.